import { jsx } from "react/jsx-runtime";
import { Boot as Boot$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Boot = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Boot", ...props, children: /* @__PURE__ */ jsx(Boot$1, { weight: variant }) });
  }
);
Boot.displayName = "Boot";
Object.assign(Boot, { isGdsIcon: true });
export {
  Boot
};
